#pragma once
#include <random>
#include "Graphics.h"
#include "Box.h"

class Ball
{
public:
	Ball();
	void Update();

	void Draw(Graphics& gfx);

	bool IsColliding( Box& box);
private:
	bool collided = false;
	bool initialized = false;

	int vx;
	int vy;

	int x;
	int y;

	int r;
	int g;
	int b;
	
	int outter_r = 255;
	int outter_g = 255;
	int outter_b = 255;

	static constexpr int arrayNum[8] = { 5,4,3,2, -2, -3,-4,-5 };
	static constexpr int width = 14;
	static constexpr int height = 14;
};