#pragma once
#include "Graphics.h"
#include "MainWindow.h"

class Box
{
public:
	void Update(MainWindow& wnd);
	void Draw(Graphics& gfx);
	int GetX();
	int GetY();
	int GetWidth();
	int GetHeight();
	bool GetBoxInvincibility();
private:
	int x;
	int y;
	int r = 255;
	int g = 255;
	int b = 255;
	int invincibilitytimer = 75;
	bool IsInvincible = true;
	static constexpr int  width = 14;
	static constexpr int  height = 14;
};