#include "ProgressBar.h"

void Progress::Update(Target & target)
{
	
	//if (progress > completePos || target.GetCollected() == CollectionWin)
	//{
	//	progress = completePos;
	//}
	progress = target.GetCollected() * single_point;
}

void Progress::Draw(int x, int y, Graphics& gfx)
{
	//start line for progress bar
	for (int y2 = 0; y2 < 25; ++y2)
	{
		gfx.PutPixel(x, y + y2, red, green, blue);
		gfx.PutPixel(x+1, y + y2, red, green, blue);
		gfx.PutPixel(x+2, y + y2, red, green, blue);
	}
	//Progress
	for (int i = x; i < progress; ++i)
	{
		for (int y2 = 0; y2 < 25; ++y2)
		{
			gfx.PutPixel(i, y + y2, red, green, blue);
		}

	}
	//finish line for progress bar
	for (int y2 = 0; y2 < 25; ++y2)
	{
		gfx.PutPixel(completePos, y + y2, red, green, blue);
		gfx.PutPixel(completePos-1, y + y2, red, green, blue);
		gfx.PutPixel(completePos-2, y + y2, red, green, blue);
	}

}

float Progress::GetGoal()
{
	return Goal;
}

int Progress::GetX()
{
	return PBarX;
}

int Progress::GetY()
{
	return PBarY;
}
