#pragma once
#include "Target.h"
#include "Graphics.h"

class Progress
{
public:

	void Draw(int x, int y, Graphics& gfx);
	void Update(Target& target);
	float GetGoal();
	int GetX();
	int GetY();
private:
	int PBarX = 0;
	int PBarY = 0;

	float Goal = 5;
	int progress = 0;
	int completePos = Graphics::ScreenWidth - 1;
	float single_point = completePos / Goal;

	int red = 255;
	int blue = 0;
	int green = 175;
};
