#include "Box.h"
#include "Graphics.h"
#include "MainWindow.h"
#include "Game.h"

void Box::Update(MainWindow& wnd )
{
	/*if (wnd.kbd.KeyIsPressed(VK_LEFT))
	{
	box.x -= 5;
	}

	if (wnd.kbd.KeyIsPressed(VK_RIGHT))
	{
	box.x += 5;
	}

	if (wnd.kbd.KeyIsPressed(VK_UP))
	{
	box.y -= 5;
	}

	if (wnd.kbd.KeyIsPressed(VK_DOWN))
	{
	box.y += 5;
	}*/
	x = wnd.mouse.GetPosX() - (width/2);
	y = wnd.mouse.GetPosY() - (height/2);

	if (invincibilitytimer > 0)
	{
		invincibilitytimer--;
		r = 0;
		g = 150;
		b = 0;
	}
	else
	{
		IsInvincible = false;
		r = 255;
		g = 255;
		b = 255;
	}
	const int left = x;
	const int right = x + width;
	if (left < 0)
	{
		x = 0;
	}

	else if (right >= Graphics::ScreenWidth -1)
	{
		x =  (Graphics::ScreenWidth-1) - width;
	}


	const int top = y;
	const int bottom = y + height;
	if (top < 0)
	{
		y = 0;
	}

	else if (bottom >= Graphics::ScreenHeight -1)
	{
		y = (Graphics::ScreenHeight-1) - height;
	}
}

int Box::GetX()
{
	return x;
}

int Box::GetY()
{
	return y;
}

int Box::GetWidth()
{
	return width;
}

int Box::GetHeight()
{
	return height;
}

bool Box::GetBoxInvincibility()
{
	return IsInvincible;
}


void Box::Draw(Graphics& gfx)
{
	//line 1
	gfx.PutPixel(x + 0, y, r, g, b);
	gfx.PutPixel(x + 1, y, r, g, b);
	gfx.PutPixel(x + 2, y, r, g, b);
	gfx.PutPixel(x + 3, y, r, g, b);
	gfx.PutPixel(x + 4, y, r, g, b);
	gfx.PutPixel(x + 5, y, r, g, b);
	gfx.PutPixel(x + 6, y, r, g, b);
	gfx.PutPixel(x + 7, y, r, g, b);
	gfx.PutPixel(x + 8, y, r, g, b);
	gfx.PutPixel(x + 9, y, r, g, b);
	gfx.PutPixel(x + 10, y, r, g, b);
	gfx.PutPixel(x + 11, y, r, g, b);
	gfx.PutPixel(x + 12, y, r, g, b);
	gfx.PutPixel(x + 13, y, r, g, b);
	gfx.PutPixel(x + 14, y, r, g, b);

	//line 2
	gfx.PutPixel(x + 0, y + 1, r, g, b);
	gfx.PutPixel(x + 1, y + 1, r, g, b);
	gfx.PutPixel(x + 2, y + 1, r, g, b);
	gfx.PutPixel(x + 3, y + 1, r, g, b);
	gfx.PutPixel(x + 4, y + 1, r, g, b);
	gfx.PutPixel(x + 5, y + 1, r, g, b);
	gfx.PutPixel(x + 6, y + 1, r, g, b);
	gfx.PutPixel(x + 7, y + 1, r, g, b);
	gfx.PutPixel(x + 8, y + 1, r, g, b);
	gfx.PutPixel(x + 9, y + 1, r, g, b);
	gfx.PutPixel(x + 10, y + 1, r, g, b);
	gfx.PutPixel(x + 11, y + 1, r, g, b);
	gfx.PutPixel(x + 12, y + 1, r, g, b);
	gfx.PutPixel(x + 13, y + 1, r, g, b);
	gfx.PutPixel(x + 14, y + 1, r, g, b);

	//line 3
	gfx.PutPixel(x + 0, y + 2, r, g, b);
	gfx.PutPixel(x + 1, y + 2, r, g, b);
	gfx.PutPixel(x + 2, y + 2, r, g, b);
	gfx.PutPixel(x + 3, y + 2, r, g, b);
	gfx.PutPixel(x + 4, y + 2, r, g, b);
	gfx.PutPixel(x + 5, y + 2, r, g, b);
	gfx.PutPixel(x + 6, y + 2, r, g, b);
	gfx.PutPixel(x + 7, y + 2, r, g, b);
	gfx.PutPixel(x + 8, y + 2, r, g, b);
	gfx.PutPixel(x + 9, y + 2, r, g, b);
	gfx.PutPixel(x + 10, y + 2, r, g, b);
	gfx.PutPixel(x + 11, y + 2, r, g, b);
	gfx.PutPixel(x + 12, y + 2, r, g, b);
	gfx.PutPixel(x + 13, y + 2, r, g, b);
	gfx.PutPixel(x + 14, y + 2, r, g, b);

	//line 4
	gfx.PutPixel(x + 0, y + 3, r, g, b);
	gfx.PutPixel(x + 1, y + 3, r, g, b);
	gfx.PutPixel(x + 2, y + 3, r, g, b);
	gfx.PutPixel(x + 3, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 3, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 3, r, g, b);
	gfx.PutPixel(x + 13, y + 3, r, g, b);
	gfx.PutPixel(x + 14, y + 3, r, g, b);

	//line 5
	gfx.PutPixel(x + 0, y + 4, r, g, b);
	gfx.PutPixel(x + 1, y + 4, r, g, b);
	gfx.PutPixel(x + 2, y + 4, r, g, b);
	gfx.PutPixel(x + 3, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 4, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 4, r, g, b);
	gfx.PutPixel(x + 13, y + 4, r, g, b);
	gfx.PutPixel(x + 14, y + 4, r, g, b);

	//line 6
	gfx.PutPixel(x + 0, y + 5, r, g, b);
	gfx.PutPixel(x + 1, y + 5, r, g, b);
	gfx.PutPixel(x + 2, y + 5, r, g, b);
	gfx.PutPixel(x + 3, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 5, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 5, r, g, b);
	gfx.PutPixel(x + 13, y + 5, r, g, b);
	gfx.PutPixel(x + 14, y + 5, r, g, b);

	//line 7
	gfx.PutPixel(x + 0, y + 6, r, g, b);
	gfx.PutPixel(x + 1, y + 6, r, g, b);
	gfx.PutPixel(x + 2, y + 6, r, g, b);
	gfx.PutPixel(x + 3, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 6, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 6, r, g, b);
	gfx.PutPixel(x + 13, y + 6, r, g, b);
	gfx.PutPixel(x + 14, y + 6, r, g, b);

	//line 8
	gfx.PutPixel(x + 0, y + 7, r, g, b);
	gfx.PutPixel(x + 1, y + 7, r, g, b);
	gfx.PutPixel(x + 2, y + 7, r, g, b);
	gfx.PutPixel(x + 3, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 7, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 7, r, g, b);
	gfx.PutPixel(x + 13, y + 7, r, g, b);
	gfx.PutPixel(x + 14, y + 7, r, g, b);

	//line 9
	gfx.PutPixel(x + 0, y + 8, r, g, b);
	gfx.PutPixel(x + 1, y + 8, r, g, b);
	gfx.PutPixel(x + 2, y + 8, r, g, b);
	gfx.PutPixel(x + 3, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 8, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 8, r, g, b);
	gfx.PutPixel(x + 13, y + 8, r, g, b);
	gfx.PutPixel(x + 14, y + 8, r, g, b);

	//line 10
	gfx.PutPixel(x + 0, y + 9, r, g, b);
	gfx.PutPixel(x + 1, y + 9, r, g, b);
	gfx.PutPixel(x + 2, y + 9, r, g, b);
	gfx.PutPixel(x + 3, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 9, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 9, r, g, b);
	gfx.PutPixel(x + 13, y + 9, r, g, b);
	gfx.PutPixel(x + 14, y + 9, r, g, b);

	//line 11
	gfx.PutPixel(x + 0, y + 10, r, g, b);
	gfx.PutPixel(x + 1, y + 10, r, g, b);
	gfx.PutPixel(x + 2, y + 10, r, g, b);
	gfx.PutPixel(x + 3, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 4, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 5, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 6, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 7, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 8, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 9, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 10, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 11, y + 10, 255, 255, 255);
	gfx.PutPixel(x + 12, y + 10, r, g, b);
	gfx.PutPixel(x + 13, y + 10, r, g, b);
	gfx.PutPixel(x + 14, y + 10, r, g, b);

	//line 12
	gfx.PutPixel(x + 0, y + 11, r, g, b);
	gfx.PutPixel(x + 1, y + 11, r, g, b);
	gfx.PutPixel(x + 2, y + 11, r, g, b);
	gfx.PutPixel(x + 3, y + 11, r, g, b);
	gfx.PutPixel(x + 4, y + 11, r, g, b);
	gfx.PutPixel(x + 5, y + 11, r, g, b);
	gfx.PutPixel(x + 6, y + 11, r, g, b);
	gfx.PutPixel(x + 7, y + 11, r, g, b);
	gfx.PutPixel(x + 8, y + 11, r, g, b);
	gfx.PutPixel(x + 9, y + 11, r, g, b);
	gfx.PutPixel(x + 10, y + 11, r, g, b);
	gfx.PutPixel(x + 11, y + 11, r, g, b);
	gfx.PutPixel(x + 12, y + 11, r, g, b);
	gfx.PutPixel(x + 13, y + 11, r, g, b);
	gfx.PutPixel(x + 14, y + 11, r, g, b);

	//line 13
	gfx.PutPixel(x + 0, y + 12, r, g, b);
	gfx.PutPixel(x + 1, y + 12, r, g, b);
	gfx.PutPixel(x + 2, y + 12, r, g, b);
	gfx.PutPixel(x + 3, y + 12, r, g, b);
	gfx.PutPixel(x + 4, y + 12, r, g, b);
	gfx.PutPixel(x + 5, y + 12, r, g, b);
	gfx.PutPixel(x + 6, y + 12, r, g, b);
	gfx.PutPixel(x + 7, y + 12, r, g, b);
	gfx.PutPixel(x + 8, y + 12, r, g, b);
	gfx.PutPixel(x + 9, y + 12, r, g, b);
	gfx.PutPixel(x + 10, y + 12, r, g, b);
	gfx.PutPixel(x + 11, y + 12, r, g, b);
	gfx.PutPixel(x + 12, y + 12, r, g, b);
	gfx.PutPixel(x + 13, y + 12, r, g, b);
	gfx.PutPixel(x + 14, y + 12, r, g, b);

	// line 14
	gfx.PutPixel(x + 0, y + 13, r, g, b);
	gfx.PutPixel(x + 1, y + 13, r, g, b);
	gfx.PutPixel(x + 2, y + 13, r, g, b);
	gfx.PutPixel(x + 3, y + 13, r, g, b);
	gfx.PutPixel(x + 4, y + 13, r, g, b);
	gfx.PutPixel(x + 5, y + 13, r, g, b);
	gfx.PutPixel(x + 6, y + 13, r, g, b);
	gfx.PutPixel(x + 7, y + 13, r, g, b);
	gfx.PutPixel(x + 8, y + 13, r, g, b);
	gfx.PutPixel(x + 9, y + 13, r, g, b);
	gfx.PutPixel(x + 10, y + 13, r, g, b);
	gfx.PutPixel(x + 11, y + 13, r, g, b);
	gfx.PutPixel(x + 12, y + 13, r, g, b);
	gfx.PutPixel(x + 13, y + 13, r, g, b);
	gfx.PutPixel(x + 14, y + 13, r, g, b);
}
