#pragma once
#include <random>
#include "Graphics.h"
#include "Box.h"

class Target
{
public:
	Target();
	void Update(Box& box);
	void Draw(Graphics& gfx);
	void Blink();
	int GetCollected();
private:
	bool collided = false;
	bool initialized = false;

	int vx;
	int vy;

	int x;
	int y;

	int r = 255;
	int g = 0;
	int b = 0;
	int BlinkTimer = 0;
	int BlinkSpeed = 12;
	int collected = 0;
	bool isIncreasing = false;
	static constexpr int arrayNum[8] = {5,4,3,2, -2, -3,-4,-5};
	static constexpr int width = 14;
	static constexpr int height = 14;
};